# Copyright (c) 2024 DTB <trinity@trinity.moe>
# Copyright (c) 2024 Emma Tebibyte <emma@tebibyte.media>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

NAME = strcmp
TARGET = $(NAME)_tests
BINARY = $(BIN)/$(NAME)

.PHONY: strcmp_tests
strcmp_tests: strcmp_equals strcmp_help strcmp_nocmp strcmp_unequals

.PHONY: strcmp_equals
strcmp_equals: $(BIN)/strcmp
	$(BIN)/strcmp equals equals
	$(BIN)/strcmp - -

.PHONY: strcmp_help
strcmp_help: $(BIN)/strcmp
	! $(BIN)/strcmp -h

.PHONY: strcmp_nocmp
strcmp_nocmp: $(BIN)/strcmp
	! $(BIN)/strcmp nocmp

.PHONY: strcmp_unequals
strcmp_unequals: $(BIN)/strcmp
	! $(BIN)/strcmp unequals equals
